//==========================================================================
//
//      arm_excalibur_flash.c
//
//      Flash programming for Intel FlashFile devices on ARM Excalibur board
//
//==========================================================================
//==========================================================================
//#####DESCRIPTIONBEGIN####
//
// Author(s):    Qiang Huang
// Contributors: jskov
// Date:         2001-08-07
// Purpose:      
// Description:  
//              
//####DESCRIPTIONEND####
//
//==========================================================================

#include <cyg/hal/epxa1.h>

//--------------------------------------------------------------------------
// Device properties

// We use the two Intel 28F320C3 parts on the EPXA1 board.
// arranged as: 1x2 grid (2M*16bits + 2M*16Bits) attached to EPI0 and EPI1 respectively 
#define CYGNUM_FLASH_INTERLEAVE (1)
#define CYGNUM_FLASH_SERIES     (2)
#define CYGNUM_FLASH_WIDTH      (16)
#define CYGNUM_FLASH_BASE       (EPXA1_FLASH_PHYS_BASE)

//--------------------------------------------------------------------------
// Platform specific extras

//--------------------------------------------------------------------------
// Now include the driver code.
#include "cyg/io/flash_28fxxx.inl"

// ------------------------------------------------------------------------
// EOF arm_excalibur_flash.c
